"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useMaxWidthObserver = useMaxWidthObserver;
var _element = require("@wordpress/element");
var _compose = require("@wordpress/compose");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

function useMaxWidthObserver() {
  const [contentResizeListener, {
    width
  }] = (0, _compose.useResizeObserver)();
  const observerRef = (0, _element.useRef)();
  const maxWidthObserver = /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    // Some themes set max-width on blocks.
    className: "wp-block",
    "aria-hidden": "true",
    style: {
      position: 'absolute',
      inset: 0,
      width: '100%',
      height: 0,
      margin: 0
    },
    ref: observerRef,
    children: contentResizeListener
  });
  return [maxWidthObserver, width];
}
//# sourceMappingURL=use-max-width-observer.js.map