"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = AccessibleMenuDescription;
var _coreData = require("@wordpress/core-data");
var _i18n = require("@wordpress/i18n");
var _accessibleDescription = _interopRequireDefault(require("./accessible-description"));
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function AccessibleMenuDescription({
  id
}) {
  const [menuTitle] = (0, _coreData.useEntityProp)('postType', 'wp_navigation', 'title');
  /* translators: %s: Title of a Navigation Menu post. */
  const description = (0, _i18n.sprintf)((0, _i18n.__)(`Navigation Menu: "%s"`), menuTitle);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_accessibleDescription.default, {
    id: id,
    children: description
  });
}
//# sourceMappingURL=accessible-menu-description.js.map