"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = NavigationMenuDeleteControl;
var _components = require("@wordpress/components");
var _coreData = require("@wordpress/core-data");
var _data = require("@wordpress/data");
var _element = require("@wordpress/element");
var _i18n = require("@wordpress/i18n");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

function NavigationMenuDeleteControl({
  onDelete
}) {
  const [isConfirmDialogVisible, setIsConfirmDialogVisible] = (0, _element.useState)(false);
  const id = (0, _coreData.useEntityId)('postType', 'wp_navigation');
  const {
    deleteEntityRecord
  } = (0, _data.useDispatch)(_coreData.store);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_components.Button, {
      __next40pxDefaultSize: true,
      className: "wp-block-navigation-delete-menu-button",
      variant: "secondary",
      isDestructive: true,
      onClick: () => {
        setIsConfirmDialogVisible(true);
      },
      children: (0, _i18n.__)('Delete menu')
    }), isConfirmDialogVisible && /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.__experimentalConfirmDialog, {
      isOpen: true,
      onConfirm: () => {
        deleteEntityRecord('postType', 'wp_navigation', id, {
          force: true
        });
        onDelete();
      },
      onCancel: () => {
        setIsConfirmDialogVisible(false);
      },
      confirmButtonText: (0, _i18n.__)('Delete'),
      size: "medium",
      children: (0, _i18n.__)('Are you sure you want to delete this Navigation Menu?')
    })]
  });
}
//# sourceMappingURL=navigation-menu-delete-control.js.map