"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.OffsetControl = void 0;
var _components = require("@wordpress/components");
var _i18n = require("@wordpress/i18n");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

const MIN_OFFSET = 0;
const MAX_OFFSET = 100;
const OffsetControl = ({
  offset = 0,
  onChange
}) => {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.__experimentalNumberControl, {
    __next40pxDefaultSize: true,
    label: (0, _i18n.__)('Offset'),
    value: offset,
    min: MIN_OFFSET,
    onChange: newOffset => {
      if (isNaN(newOffset) || newOffset < MIN_OFFSET || newOffset > MAX_OFFSET) {
        return;
      }
      onChange({
        offset: newOffset
      });
    }
  });
};
exports.OffsetControl = OffsetControl;
var _default = exports.default = OffsetControl;
//# sourceMappingURL=offset-controls.js.map