"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.PagesControl = void 0;
var _components = require("@wordpress/components");
var _i18n = require("@wordpress/i18n");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

const PagesControl = ({
  pages,
  onChange
}) => {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.__experimentalNumberControl, {
    __next40pxDefaultSize: true,
    label: (0, _i18n.__)('Max pages to show'),
    value: pages,
    min: 0,
    onChange: newPages => {
      if (isNaN(newPages) || newPages < 0) {
        return;
      }
      onChange({
        pages: newPages
      });
    },
    help: (0, _i18n.__)('Limit the pages you want to show, even if the query has more results. To show all pages use 0 (zero).')
  });
};
exports.PagesControl = PagesControl;
var _default = exports.default = PagesControl;
//# sourceMappingURL=pages-control.js.map