"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = StickyControl;
var _components = require("@wordpress/components");
var _i18n = require("@wordpress/i18n");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

const stickyOptions = [{
  label: (0, _i18n.__)('Include'),
  value: ''
}, {
  label: (0, _i18n.__)('Ignore'),
  value: 'ignore'
}, {
  label: (0, _i18n.__)('Exclude'),
  value: 'exclude'
}, {
  label: (0, _i18n.__)('Only'),
  value: 'only'
}];
function StickyControl({
  value,
  onChange
}) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.SelectControl, {
    __nextHasNoMarginBottom: true,
    __next40pxDefaultSize: true,
    label: (0, _i18n.__)('Sticky posts'),
    options: stickyOptions,
    value: value,
    onChange: onChange,
    help: (0, _i18n.__)('Sticky posts always appear first, regardless of their publish date.')
  });
}
//# sourceMappingURL=sticky-control.js.map