"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = QueryToolbar;
var _components = require("@wordpress/components");
var _i18n = require("@wordpress/i18n");
var _patternSelection = _interopRequireWildcard(require("./pattern-selection"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function QueryToolbar({
  clientId,
  attributes
}) {
  const hasPatterns = (0, _patternSelection.useBlockPatterns)(clientId, attributes).length;
  if (!hasPatterns) {
    return null;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.ToolbarGroup, {
    className: "wp-block-template-part__block-control-group",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.__experimentalDropdownContentWrapper, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.Dropdown, {
        contentClassName: "block-editor-block-settings-menu__popover",
        focusOnMount: "firstElement",
        expandOnMobile: true,
        renderToggle: ({
          isOpen,
          onToggle
        }) => /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.ToolbarButton, {
          "aria-haspopup": "true",
          "aria-expanded": isOpen,
          onClick: onToggle,
          children: (0, _i18n.__)('Change design')
        }),
        renderContent: () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_patternSelection.default, {
          clientId: clientId,
          attributes: attributes,
          showSearch: false,
          showTitlesAsTooltip: true
        })
      })
    })
  });
}
//# sourceMappingURL=query-toolbar.js.map